# Open Source Code of Conduct

In order to foster an inclusive, kind, harassment-free and cooperative
community, Sensu enforces this code of conduct on our software projects
and events.

## Summary

Harassment in code and discussion or violation of physical boundaries is
completely unacceptable anywhere in Sensu’s project codebases, issue
trackers, chatrooms, forums, mailing lists, meetups and other events.
Violators will be warned by the core team. Repeat violations will result
in being blocked or banned by the core team at or before the third
violation.

## In detail

Harassment includes offensive verbal comments related to gender
identity, gender expression, sexual orientation, disability, physical
appearance, body size, race, religion, sexual images, deliberate
intimidation, stalking, sustained disruption and unwelcome sexual
attention.

Individuals asked to stop any harassing behavior are expected to comply
immediately.

Maintainers are also subject to the anti-harassment policy.

If anyone engages in harassing behavior, including maintainers, we may
take appropriate action, up to and including warning the offender,
deletion of comments, removal from the project’s codebase and
communication systems and escalation to GitHub support.

If you are being harassed, notice that someone else is being harassed,
or have any other concerns, please contact a member of the core team or
email [conduct@sensu.io](mailto:conduct@sensu.io) immediately.

We expect everyone to follow these rules anywhere in Sensu’s project
codebases, issue trackers, chatrooms, forums and mailing lists.

Finally, don’t forget that it is human to make mistakes! We all do.
Let’s work together to help each other, resolve issues and learn from
the mistakes that we will all inevitably make from time to time.

## Thanks

Thanks to thoughtbot, CocoaPods, Bundler, JSConf and Contributor
Covenant for inspiration and ideas.

## License

To the extent possible under law, Sensu Inc has waived all copyright and
related or neighboring rights to the Sensu Code of Conduct. This work is
published from the United States.

![public_domain](https://licensebuttons.net/p/zero/1.0/88x31.png)
